import * as ElementPlusIcons from '@element-plus/icons-vue'

export const EL_ICON_PREFIX = 'el-icon-'

const elIconsName: string[] = []

for (const [, component] of Object.entries(ElementPlusIcons)) {
    elIconsName.push(`${EL_ICON_PREFIX}${component.name}`)
}

export function getElementPlusIconNames() {
    return elIconsName
}
